|
|||||||||
| Home >> All >> org >> hibernate >> [ impl overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
org.hibernate.impl
Class AbstractQueryImpl

java.lang.Objectorg.hibernate.impl.AbstractQueryImpl
- All Implemented Interfaces:
- org.hibernate.Query
- Direct Known Subclasses:
- QueryImpl, SQLQueryImpl
- public abstract class AbstractQueryImpl
- extends java.lang.Object
- implements org.hibernate.Query
- extends java.lang.Object
Abstract implementation of the Query interface.
| Constructor Summary | |
AbstractQueryImpl(java.lang.String queryString,
org.hibernate.FlushMode flushMode,
org.hibernate.engine.SessionImplementor session,
org.hibernate.engine.query.ParameterMetadata parameterMetadata)
|
|
| Method Summary | |
protected void |
after()
|
protected void |
before()
|
protected org.hibernate.type.Type |
determineType(int paramPosition,
java.lang.Object paramValue)
|
protected org.hibernate.type.Type |
determineType(java.lang.String paramName,
java.lang.Class clazz)
|
protected org.hibernate.type.Type |
determineType(java.lang.String paramName,
java.lang.Object paramValue)
|
private java.lang.String |
expandParameterList(java.lang.String query,
java.lang.String name,
org.hibernate.engine.TypedValue typedList,
java.util.Map namedParamsCopy)
Warning: adds new parameters to the argument by side-effect, as well as mutating the query string! |
protected java.lang.String |
expandParameterLists(java.util.Map namedParamsCopy)
Warning: adds new parameters to the argument by side-effect, as well as mutating the query string! |
protected abstract java.util.Map |
getLockModes()
|
protected java.util.Map |
getNamedParameterLists()
Retreive the value map for any named parameter lists (i.e., for auto-expansion) bound to this query. |
java.lang.String[] |
getNamedParameters()
Returns an array representing all named parameter names encountered during (intial) parsing of the query. |
protected java.util.Map |
getNamedParams()
Returns a shallow copy of the named parameter value map. |
org.hibernate.engine.QueryParameters |
getQueryParameters(java.util.Map namedParams)
|
java.lang.String |
getQueryString()
Get the query string. |
java.lang.String[] |
getReturnAliases()
Return the HQL select clause aliases (if any) |
org.hibernate.type.Type[] |
getReturnTypes()
Return the Hibernate types of the query result set. |
protected org.hibernate.engine.RowSelection |
getRowSelection()
|
org.hibernate.engine.RowSelection |
getSelection()
|
(package private) org.hibernate.engine.SessionImplementor |
getSession()
|
protected java.util.List |
getTypes()
Retreives the list of parameter types bound to this query for ordinal parameters. |
protected java.util.List |
getValues()
Retreives the list of parameter values bound to this query for ordinal parameters. |
private org.hibernate.type.Type |
guessType(java.lang.Class clazz)
|
private org.hibernate.type.Type |
guessType(java.lang.Object param)
|
boolean |
hasNamedParameters()
Does this query contain named parameters? |
boolean |
isReadOnly()
|
org.hibernate.Query |
setBigDecimal(int position,
java.math.BigDecimal number)
|
org.hibernate.Query |
setBigDecimal(java.lang.String name,
java.math.BigDecimal number)
|
org.hibernate.Query |
setBigInteger(int position,
java.math.BigInteger number)
|
org.hibernate.Query |
setBigInteger(java.lang.String name,
java.math.BigInteger number)
|
org.hibernate.Query |
setBinary(int position,
byte[] val)
|
org.hibernate.Query |
setBinary(java.lang.String name,
byte[] val)
|
org.hibernate.Query |
setBoolean(int position,
boolean val)
|
org.hibernate.Query |
setBoolean(java.lang.String name,
boolean val)
|
org.hibernate.Query |
setByte(int position,
byte val)
|
org.hibernate.Query |
setByte(java.lang.String name,
byte val)
|
org.hibernate.Query |
setCacheable(boolean cacheable)
Enable caching of this query result set. |
org.hibernate.Query |
setCacheMode(org.hibernate.CacheMode cacheMode)
Override the current session cache mode, just for this query. |
org.hibernate.Query |
setCacheRegion(java.lang.String cacheRegion)
Set the name of the cache region. |
org.hibernate.Query |
setCalendar(int position,
java.util.Calendar calendar)
|
org.hibernate.Query |
setCalendar(java.lang.String name,
java.util.Calendar calendar)
|
org.hibernate.Query |
setCalendarDate(int position,
java.util.Calendar calendar)
|
org.hibernate.Query |
setCalendarDate(java.lang.String name,
java.util.Calendar calendar)
|
org.hibernate.Query |
setCharacter(int position,
char val)
|
org.hibernate.Query |
setCharacter(java.lang.String name,
char val)
|
org.hibernate.Query |
setCollectionKey(java.io.Serializable collectionKey)
|
org.hibernate.Query |
setComment(java.lang.String comment)
Add a comment to the generated SQL. |
org.hibernate.Query |
setDate(int position,
java.util.Date date)
|
org.hibernate.Query |
setDate(java.lang.String name,
java.util.Date date)
|
org.hibernate.Query |
setDouble(int position,
double val)
|
org.hibernate.Query |
setDouble(java.lang.String name,
double val)
|
org.hibernate.Query |
setEntity(int position,
java.lang.Object val)
Bind an instance of a mapped persistent class to a JDBC-style query parameter. |
org.hibernate.Query |
setEntity(java.lang.String name,
java.lang.Object val)
Bind an instance of a mapped persistent class to a named query parameter. |
org.hibernate.Query |
setFetchSize(int fetchSize)
Set a fetch size for the underlying JDBC query. |
org.hibernate.Query |
setFirstResult(int firstResult)
Set the first row to retrieve. |
org.hibernate.Query |
setFloat(int position,
float val)
|
org.hibernate.Query |
setFloat(java.lang.String name,
float val)
|
org.hibernate.Query |
setFlushMode(org.hibernate.FlushMode flushMode)
Override the current session flush mode, just for this query. |
org.hibernate.Query |
setInteger(int position,
int val)
|
org.hibernate.Query |
setInteger(java.lang.String name,
int val)
|
org.hibernate.Query |
setLocale(int position,
java.util.Locale locale)
|
org.hibernate.Query |
setLocale(java.lang.String name,
java.util.Locale locale)
|
org.hibernate.Query |
setLong(int position,
long val)
|
org.hibernate.Query |
setLong(java.lang.String name,
long val)
|
org.hibernate.Query |
setMaxResults(int maxResults)
Set the maximum number of rows to retrieve. |
void |
setOptionalEntityName(java.lang.String optionalEntityName)
|
void |
setOptionalId(java.io.Serializable optionalId)
|
void |
setOptionalObject(java.lang.Object optionalObject)
|
org.hibernate.Query |
setParameter(int position,
java.lang.Object val)
Bind a value to a JDBC-style query parameter, guessing the Hibernate type from the class of the given object. |
org.hibernate.Query |
setParameter(int position,
java.lang.Object val,
org.hibernate.type.Type type)
Bind a value to a JDBC-style query parameter. |
org.hibernate.Query |
setParameter(java.lang.String name,
java.lang.Object val)
Bind a value to a named query parameter, guessing the Hibernate type from the class of the given object. |
org.hibernate.Query |
setParameter(java.lang.String name,
java.lang.Object val,
org.hibernate.type.Type type)
Bind a value to a named query parameter. |
org.hibernate.Query |
setParameterList(java.lang.String name,
java.util.Collection vals)
Bind multiple values to a named query parameter, guessing the Hibernate type from the class of the first object in the collection. |
org.hibernate.Query |
setParameterList(java.lang.String name,
java.util.Collection vals,
org.hibernate.type.Type type)
Bind multiple values to a named query parameter. |
org.hibernate.Query |
setParameterList(java.lang.String name,
java.lang.Object[] vals)
Bind multiple values to a named query parameter, guessing the Hibernate type from the class of the first object in the array. |
org.hibernate.Query |
setParameterList(java.lang.String name,
java.lang.Object[] vals,
org.hibernate.type.Type type)
Bind multiple values to a named query parameter. |
org.hibernate.Query |
setParameters(java.lang.Object[] values,
org.hibernate.type.Type[] types)
Bind values and types to positional parameters. |
org.hibernate.Query |
setProperties(java.lang.Object bean)
Bind the property values of the given bean to named parameters of the query, matching property names with parameter names and mapping property types to Hibernate types using hueristics. |
org.hibernate.Query |
setReadOnly(boolean readOnly)
Entities retrieved by this query will be loaded in a read-only mode where Hibernate will never dirty-check them or make changes persistent. |
org.hibernate.Query |
setResultTransformer(org.hibernate.transform.ResultTransformer transformer)
Set a strategy for handling the query results. |
org.hibernate.Query |
setSerializable(int position,
java.io.Serializable val)
|
org.hibernate.Query |
setSerializable(java.lang.String name,
java.io.Serializable val)
|
org.hibernate.Query |
setShort(int position,
short val)
|
org.hibernate.Query |
setShort(java.lang.String name,
short val)
|
org.hibernate.Query |
setString(int position,
java.lang.String val)
|
org.hibernate.Query |
setString(java.lang.String name,
java.lang.String val)
|
org.hibernate.Query |
setText(int position,
java.lang.String val)
|
org.hibernate.Query |
setText(java.lang.String name,
java.lang.String val)
|
org.hibernate.Query |
setTime(int position,
java.util.Date date)
|
org.hibernate.Query |
setTime(java.lang.String name,
java.util.Date date)
|
org.hibernate.Query |
setTimeout(int timeout)
Set a timeout for the underlying JDBC query. |
org.hibernate.Query |
setTimestamp(int position,
java.util.Date date)
|
org.hibernate.Query |
setTimestamp(java.lang.String name,
java.util.Date date)
|
java.lang.String |
toString()
Convert this Object to a human-readable String. |
org.hibernate.type.Type[] |
typeArray()
|
(package private) static java.lang.Object |
uniqueElement(java.util.List list)
|
java.lang.Object |
uniqueResult()
Convenience method to return a single instance that matches the query, or null if the query returns no results. |
java.lang.Object[] |
valueArray()
|
protected void |
verifyParameters()
Perform parameter validation. |
protected void |
verifyParameters(boolean reserveFirstParameter)
Perform parameter validation. |
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait |
| Methods inherited from interface org.hibernate.Query |
executeUpdate, iterate, list, scroll, scroll, setLockMode |
| Field Detail |
UNSET_PARAMETER
private static final java.lang.Object UNSET_PARAMETER
UNSET_TYPE
private static final java.lang.Object UNSET_TYPE
queryString
private final java.lang.String queryString
session
protected final org.hibernate.engine.SessionImplementor session
parameterMetadata
protected final org.hibernate.engine.query.ParameterMetadata parameterMetadata
values
private java.util.List values
types
private java.util.List types
namedParameters
private java.util.Map namedParameters
namedParameterLists
private java.util.Map namedParameterLists
optionalObject
private java.lang.Object optionalObject
optionalId
private java.io.Serializable optionalId
optionalEntityName
private java.lang.String optionalEntityName
selection
private org.hibernate.engine.RowSelection selection
cacheable
private boolean cacheable
cacheRegion
private java.lang.String cacheRegion
comment
private java.lang.String comment
flushMode
private org.hibernate.FlushMode flushMode
cacheMode
private org.hibernate.CacheMode cacheMode
sessionFlushMode
private org.hibernate.FlushMode sessionFlushMode
sessionCacheMode
private org.hibernate.CacheMode sessionCacheMode
collectionKey
private java.io.Serializable collectionKey
readOnly
private boolean readOnly
resultTransformer
private org.hibernate.transform.ResultTransformer resultTransformer
| Constructor Detail |
AbstractQueryImpl
public AbstractQueryImpl(java.lang.String queryString, org.hibernate.FlushMode flushMode, org.hibernate.engine.SessionImplementor session, org.hibernate.engine.query.ParameterMetadata parameterMetadata)
| Method Detail |
toString
public java.lang.String toString()
- Description copied from class:
java.lang.Object - Convert this Object to a human-readable String.
There are no limits placed on how long this String
should be or what it should contain. We suggest you
make it as intuitive as possible to be able to place
it into System.out.println() 55
and such.
It is typical, but not required, to ensure that this method never completes abruptly with a java.lang.RuntimeException.
This method will be called when performing string concatenation with this object. If the result is
null, string concatenation will instead use"null".The default implementation returns
getClass().getName() + "@" + Integer.toHexString(hashCode()).
getQueryString
public final java.lang.String getQueryString()
- Description copied from interface:
org.hibernate.Query - Get the query string.
- Specified by:
getQueryStringin interfaceorg.hibernate.Query
getSelection
public org.hibernate.engine.RowSelection getSelection()
setFlushMode
public org.hibernate.Query setFlushMode(org.hibernate.FlushMode flushMode)
- Description copied from interface:
org.hibernate.Query - Override the current session flush mode, just for
this query.
- Specified by:
setFlushModein interfaceorg.hibernate.Query
setCacheMode
public org.hibernate.Query setCacheMode(org.hibernate.CacheMode cacheMode)
- Description copied from interface:
org.hibernate.Query - Override the current session cache mode, just for
this query.
- Specified by:
setCacheModein interfaceorg.hibernate.Query
setCacheable
public org.hibernate.Query setCacheable(boolean cacheable)
- Description copied from interface:
org.hibernate.Query - Enable caching of this query result set.
- Specified by:
setCacheablein interfaceorg.hibernate.Query
setCacheRegion
public org.hibernate.Query setCacheRegion(java.lang.String cacheRegion)
- Description copied from interface:
org.hibernate.Query - Set the name of the cache region.
- Specified by:
setCacheRegionin interfaceorg.hibernate.Query
setComment
public org.hibernate.Query setComment(java.lang.String comment)
- Description copied from interface:
org.hibernate.Query - Add a comment to the generated SQL.
- Specified by:
setCommentin interfaceorg.hibernate.Query
setFirstResult
public org.hibernate.Query setFirstResult(int firstResult)
- Description copied from interface:
org.hibernate.Query - Set the first row to retrieve. If not set, rows will be
retrieved beginnning from row 0.
- Specified by:
setFirstResultin interfaceorg.hibernate.Query
setMaxResults
public org.hibernate.Query setMaxResults(int maxResults)
- Description copied from interface:
org.hibernate.Query - Set the maximum number of rows to retrieve. If not set,
there is no limit to the number of rows retrieved.
- Specified by:
setMaxResultsin interfaceorg.hibernate.Query
setTimeout
public org.hibernate.Query setTimeout(int timeout)
- Description copied from interface:
org.hibernate.Query - Set a timeout for the underlying JDBC query.
- Specified by:
setTimeoutin interfaceorg.hibernate.Query
setFetchSize
public org.hibernate.Query setFetchSize(int fetchSize)
- Description copied from interface:
org.hibernate.Query - Set a fetch size for the underlying JDBC query.
- Specified by:
setFetchSizein interfaceorg.hibernate.Query
getReturnTypes
public org.hibernate.type.Type[] getReturnTypes() throws org.hibernate.HibernateException
- Description copied from interface:
org.hibernate.Query - Return the Hibernate types of the query result set.
- Specified by:
getReturnTypesin interfaceorg.hibernate.Query
getReturnAliases
public java.lang.String[] getReturnAliases() throws org.hibernate.HibernateException
- Description copied from interface:
org.hibernate.Query - Return the HQL select clause aliases (if any)
- Specified by:
getReturnAliasesin interfaceorg.hibernate.Query
setCollectionKey
public org.hibernate.Query setCollectionKey(java.io.Serializable collectionKey)
isReadOnly
public boolean isReadOnly()
setReadOnly
public org.hibernate.Query setReadOnly(boolean readOnly)
- Description copied from interface:
org.hibernate.Query - Entities retrieved by this query will be loaded in
a read-only mode where Hibernate will never dirty-check
them or make changes persistent.
- Specified by:
setReadOnlyin interfaceorg.hibernate.Query
setResultTransformer
public org.hibernate.Query setResultTransformer(org.hibernate.transform.ResultTransformer transformer)
- Description copied from interface:
org.hibernate.Query - Set a strategy for handling the query results. This can be used to change
"shape" of the query result.
- Specified by:
setResultTransformerin interfaceorg.hibernate.Query
setOptionalEntityName
public void setOptionalEntityName(java.lang.String optionalEntityName)
setOptionalId
public void setOptionalId(java.io.Serializable optionalId)
setOptionalObject
public void setOptionalObject(java.lang.Object optionalObject)
getSession
org.hibernate.engine.SessionImplementor getSession()
getLockModes
protected abstract java.util.Map getLockModes()
getNamedParams
protected java.util.Map getNamedParams()
- Returns a shallow copy of the named parameter value map.
getNamedParameters
public java.lang.String[] getNamedParameters() throws org.hibernate.HibernateException
- Returns an array representing all named parameter names encountered
during (intial) parsing of the query.
Note initial here means different things depending on whether
this is a native-sql query or an HQL/filter query. For native-sql, a
precursory inspection of the query string is performed specifically to
locate defined parameters. For HQL/filter queries, this is the
information returned from the query-translator. This distinction
holds true for all parameter metadata exposed here.
- Specified by:
getNamedParametersin interfaceorg.hibernate.Query
hasNamedParameters
public boolean hasNamedParameters()
- Does this query contain named parameters?
getNamedParameterLists
protected java.util.Map getNamedParameterLists()
- Retreive the value map for any named parameter lists (i.e., for
auto-expansion) bound to this query.
getValues
protected java.util.List getValues()
- Retreives the list of parameter values bound to this query for
ordinal parameters.
getTypes
protected java.util.List getTypes()
- Retreives the list of parameter types bound to this query for
ordinal parameters.
verifyParameters
protected void verifyParameters()
throws org.hibernate.QueryException
- Perform parameter validation. Used prior to executing the encapsulated
query.
verifyParameters
protected void verifyParameters(boolean reserveFirstParameter)
throws org.hibernate.HibernateException
- Perform parameter validation. Used prior to executing the encapsulated
query.
setParameter
public org.hibernate.Query setParameter(int position, java.lang.Object val, org.hibernate.type.Type type)
- Description copied from interface:
org.hibernate.Query - Bind a value to a JDBC-style query parameter.
- Specified by:
setParameterin interfaceorg.hibernate.Query
setParameter
public org.hibernate.Query setParameter(java.lang.String name, java.lang.Object val, org.hibernate.type.Type type)
- Description copied from interface:
org.hibernate.Query - Bind a value to a named query parameter.
- Specified by:
setParameterin interfaceorg.hibernate.Query
setParameter
public org.hibernate.Query setParameter(int position, java.lang.Object val) throws org.hibernate.HibernateException
- Description copied from interface:
org.hibernate.Query - Bind a value to a JDBC-style query parameter, guessing the
Hibernate type from the class of the given object.
- Specified by:
setParameterin interfaceorg.hibernate.Query
setParameter
public org.hibernate.Query setParameter(java.lang.String name, java.lang.Object val) throws org.hibernate.HibernateException
- Description copied from interface:
org.hibernate.Query - Bind a value to a named query parameter, guessing the Hibernate
type from the class of the given object.
- Specified by:
setParameterin interfaceorg.hibernate.Query
determineType
protected org.hibernate.type.Type determineType(int paramPosition, java.lang.Object paramValue) throws org.hibernate.HibernateException
determineType
protected org.hibernate.type.Type determineType(java.lang.String paramName, java.lang.Object paramValue) throws org.hibernate.HibernateException
determineType
protected org.hibernate.type.Type determineType(java.lang.String paramName, java.lang.Class clazz) throws org.hibernate.HibernateException
guessType
private org.hibernate.type.Type guessType(java.lang.Object param) throws org.hibernate.HibernateException
guessType
private org.hibernate.type.Type guessType(java.lang.Class clazz) throws org.hibernate.HibernateException
setString
public org.hibernate.Query setString(int position, java.lang.String val)
- Specified by:
setStringin interfaceorg.hibernate.Query
setCharacter
public org.hibernate.Query setCharacter(int position, char val)
- Specified by:
setCharacterin interfaceorg.hibernate.Query
setBoolean
public org.hibernate.Query setBoolean(int position, boolean val)
- Specified by:
setBooleanin interfaceorg.hibernate.Query
setByte
public org.hibernate.Query setByte(int position, byte val)
- Specified by:
setBytein interfaceorg.hibernate.Query
setShort
public org.hibernate.Query setShort(int position, short val)
- Specified by:
setShortin interfaceorg.hibernate.Query
setInteger
public org.hibernate.Query setInteger(int position, int val)
- Specified by:
setIntegerin interfaceorg.hibernate.Query
setLong
public org.hibernate.Query setLong(int position, long val)
- Specified by:
setLongin interfaceorg.hibernate.Query
setFloat
public org.hibernate.Query setFloat(int position, float val)
- Specified by:
setFloatin interfaceorg.hibernate.Query
setDouble
public org.hibernate.Query setDouble(int position, double val)
- Specified by:
setDoublein interfaceorg.hibernate.Query
setBinary
public org.hibernate.Query setBinary(int position, byte[] val)
- Specified by:
setBinaryin interfaceorg.hibernate.Query
setText
public org.hibernate.Query setText(int position, java.lang.String val)
- Specified by:
setTextin interfaceorg.hibernate.Query
setSerializable
public org.hibernate.Query setSerializable(int position, java.io.Serializable val)
- Specified by:
setSerializablein interfaceorg.hibernate.Query
setDate
public org.hibernate.Query setDate(int position, java.util.Date date)
- Specified by:
setDatein interfaceorg.hibernate.Query
setTime
public org.hibernate.Query setTime(int position, java.util.Date date)
- Specified by:
setTimein interfaceorg.hibernate.Query
setTimestamp
public org.hibernate.Query setTimestamp(int position, java.util.Date date)
- Specified by:
setTimestampin interfaceorg.hibernate.Query
setEntity
public org.hibernate.Query setEntity(int position, java.lang.Object val)
- Description copied from interface:
org.hibernate.Query - Bind an instance of a mapped persistent class to a JDBC-style query parameter.
- Specified by:
setEntityin interfaceorg.hibernate.Query
setLocale
public org.hibernate.Query setLocale(int position, java.util.Locale locale)
- Specified by:
setLocalein interfaceorg.hibernate.Query
setCalendar
public org.hibernate.Query setCalendar(int position, java.util.Calendar calendar)
- Specified by:
setCalendarin interfaceorg.hibernate.Query
setCalendarDate
public org.hibernate.Query setCalendarDate(int position, java.util.Calendar calendar)
- Specified by:
setCalendarDatein interfaceorg.hibernate.Query
setBinary
public org.hibernate.Query setBinary(java.lang.String name, byte[] val)
- Specified by:
setBinaryin interfaceorg.hibernate.Query
setText
public org.hibernate.Query setText(java.lang.String name, java.lang.String val)
- Specified by:
setTextin interfaceorg.hibernate.Query
setBoolean
public org.hibernate.Query setBoolean(java.lang.String name, boolean val)
- Specified by:
setBooleanin interfaceorg.hibernate.Query
setByte
public org.hibernate.Query setByte(java.lang.String name, byte val)
- Specified by:
setBytein interfaceorg.hibernate.Query
setCharacter
public org.hibernate.Query setCharacter(java.lang.String name, char val)
- Specified by:
setCharacterin interfaceorg.hibernate.Query
setDate
public org.hibernate.Query setDate(java.lang.String name, java.util.Date date)
- Specified by:
setDatein interfaceorg.hibernate.Query
setDouble
public org.hibernate.Query setDouble(java.lang.String name, double val)
- Specified by:
setDoublein interfaceorg.hibernate.Query
setEntity
public org.hibernate.Query setEntity(java.lang.String name, java.lang.Object val)
- Description copied from interface:
org.hibernate.Query - Bind an instance of a mapped persistent class to a named query parameter.
- Specified by:
setEntityin interfaceorg.hibernate.Query
setFloat
public org.hibernate.Query setFloat(java.lang.String name, float val)
- Specified by:
setFloatin interfaceorg.hibernate.Query
setInteger
public org.hibernate.Query setInteger(java.lang.String name, int val)
- Specified by:
setIntegerin interfaceorg.hibernate.Query
setLocale
public org.hibernate.Query setLocale(java.lang.String name, java.util.Locale locale)
- Specified by:
setLocalein interfaceorg.hibernate.Query
setCalendar
public org.hibernate.Query setCalendar(java.lang.String name, java.util.Calendar calendar)
- Specified by:
setCalendarin interfaceorg.hibernate.Query
setCalendarDate
public org.hibernate.Query setCalendarDate(java.lang.String name, java.util.Calendar calendar)
- Specified by:
setCalendarDatein interfaceorg.hibernate.Query
setLong
public org.hibernate.Query setLong(java.lang.String name, long val)
- Specified by:
setLongin interfaceorg.hibernate.Query
setSerializable
public org.hibernate.Query setSerializable(java.lang.String name, java.io.Serializable val)
- Specified by:
setSerializablein interfaceorg.hibernate.Query
setShort
public org.hibernate.Query setShort(java.lang.String name, short val)
- Specified by:
setShortin interfaceorg.hibernate.Query
setString
public org.hibernate.Query setString(java.lang.String name, java.lang.String val)
- Specified by:
setStringin interfaceorg.hibernate.Query
setTime
public org.hibernate.Query setTime(java.lang.String name, java.util.Date date)
- Specified by:
setTimein interfaceorg.hibernate.Query
setTimestamp
public org.hibernate.Query setTimestamp(java.lang.String name, java.util.Date date)
- Specified by:
setTimestampin interfaceorg.hibernate.Query
setBigDecimal
public org.hibernate.Query setBigDecimal(int position, java.math.BigDecimal number)
- Specified by:
setBigDecimalin interfaceorg.hibernate.Query
setBigDecimal
public org.hibernate.Query setBigDecimal(java.lang.String name, java.math.BigDecimal number)
- Specified by:
setBigDecimalin interfaceorg.hibernate.Query
setBigInteger
public org.hibernate.Query setBigInteger(int position, java.math.BigInteger number)
- Specified by:
setBigIntegerin interfaceorg.hibernate.Query
setBigInteger
public org.hibernate.Query setBigInteger(java.lang.String name, java.math.BigInteger number)
- Specified by:
setBigIntegerin interfaceorg.hibernate.Query
setParameterList
public org.hibernate.Query setParameterList(java.lang.String name, java.util.Collection vals, org.hibernate.type.Type type) throws org.hibernate.HibernateException
- Description copied from interface:
org.hibernate.Query - Bind multiple values to a named query parameter. This is useful for binding
a list of values to an expression such as foo.bar in (:value_list).
- Specified by:
setParameterListin interfaceorg.hibernate.Query
expandParameterLists
protected java.lang.String expandParameterLists(java.util.Map namedParamsCopy)
- Warning: adds new parameters to the argument by side-effect, as well as
mutating the query string!
expandParameterList
private java.lang.String expandParameterList(java.lang.String query, java.lang.String name, org.hibernate.engine.TypedValue typedList, java.util.Map namedParamsCopy)
- Warning: adds new parameters to the argument by side-effect, as well as
mutating the query string!
setParameterList
public org.hibernate.Query setParameterList(java.lang.String name, java.util.Collection vals) throws org.hibernate.HibernateException
- Description copied from interface:
org.hibernate.Query - Bind multiple values to a named query parameter, guessing the Hibernate type from the
class of the first object in the collection. This is useful for binding a list of values
to an expression such as foo.bar in (:value_list).
- Specified by:
setParameterListin interfaceorg.hibernate.Query
setParameterList
public org.hibernate.Query setParameterList(java.lang.String name, java.lang.Object[] vals, org.hibernate.type.Type type) throws org.hibernate.HibernateException
- Description copied from interface:
org.hibernate.Query - Bind multiple values to a named query parameter. This is useful for binding
a list of values to an expression such as foo.bar in (:value_list).
- Specified by:
setParameterListin interfaceorg.hibernate.Query
setParameterList
public org.hibernate.Query setParameterList(java.lang.String name, java.lang.Object[] vals) throws org.hibernate.HibernateException
- Description copied from interface:
org.hibernate.Query - Bind multiple values to a named query parameter, guessing the Hibernate type from the
class of the first object in the array. This is useful for binding a list of values
to an expression such as foo.bar in (:value_list).
- Specified by:
setParameterListin interfaceorg.hibernate.Query
setProperties
public org.hibernate.Query setProperties(java.lang.Object bean) throws org.hibernate.HibernateException
- Description copied from interface:
org.hibernate.Query - Bind
JAVADOC
org.hibernate.impl.AbstractQueryImpl